Package org.drinkless.tdlib

# Class TdApi.UpdateDefaultBackground

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateDefaultBackground

Enclosing class:
  `TdApi`

public static class TdApi.UpdateDefaultBackground extends TdApi.Update
The default background has changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.Background`
  `background`
  The new default background; may be null.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `forDarkTheme`
  True, if default background for dark theme has changed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateDefaultBackground()`
  The default background has changed.
  `UpdateDefaultBackground(boolean forDarkTheme, TdApi.Background background)`
  The default background has changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### forDarkTheme

    public boolean forDarkTheme
    True, if default background for dark theme has changed.

  - ### background

    @Nullable public TdApi.Background background
    The new default background; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateDefaultBackground

    public UpdateDefaultBackground()
    The default background has changed.

  - ### UpdateDefaultBackground

    public UpdateDefaultBackground(boolean forDarkTheme, TdApi.Background background)
    The default background has changed.
    Parameters:
      `forDarkTheme` - True, if default background for dark theme has changed.
      `background` - The new default background; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR